Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.hp.hpl.jena.sdb.core
Enum ScopeStatus

    java.lang.Object
      java.lang.Enum<ScopeStatus>
          com.hp.hpl.jena.sdb.core.ScopeStatus

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.util.Named, Serializable, Comparable<ScopeStatus>

    public enum ScopeStatus

extends Enum<ScopeStatus>
implements com.hp.hpl.jena.sparql.util.Named

Enum Constant Summary
`FIXED`
`OPTIONAL`
`UNKNOWN`

Method Summary
`String` | `toString()`
`static ScopeStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScopeStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.hp.hpl.jena.sparql.util.Named
`getName`

Enum Constant Detail

### FIXED

    public static final ScopeStatus FIXED

### OPTIONAL

    public static final ScopeStatus OPTIONAL

### UNKNOWN

    public static final ScopeStatus UNKNOWN

Method Detail

### values

    public static ScopeStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ScopeStatus c : ScopeStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ScopeStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ScopeStatus>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.